"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ConfigService_1 = require("../service/ConfigService");
const BootstrapUtils_1 = require("../service/BootstrapUtils");
const LoggerFactory_1 = require("../logger/LoggerFactory");
const LogType_1 = require("../logger/LogType");
const logger = LoggerFactory_1.default.getLogger(LogType_1.LogType.System);
class Compose extends command_1.Command {
    async run() {
        const { flags } = this.parse(Compose);
        logger.info(`deleting folder ${flags.target}...`);
        BootstrapUtils_1.BootstrapUtils.deleteFolderRecursive(flags.target);
    }
}
exports.default = Compose;
Compose.description = 'It removes the target folder (It may not work if you need root!!!)';
Compose.examples = [`$ symbol-bootstrap clean`];
Compose.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: ConfigService_1.ConfigService.defaultParams.target,
    }),
};
