"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ConfigService_1 = require("../service/ConfigService");
const config_1 = require("./config");
const ComposeService_1 = require("../service/ComposeService");
const RunService_1 = require("../service/RunService");
const BootstrapUtils_1 = require("../service/BootstrapUtils");
const LoggerFactory_1 = require("../logger/LoggerFactory");
const LogType_1 = require("../logger/LogType");
const logger = LoggerFactory_1.default.getLogger(LogType_1.LogType.System);
class Start extends command_1.Command {
    async run() {
        const { flags } = this.parse(Start);
        if (flags.reset) {
            logger.info(`deleting folder ${flags.target}...`);
            BootstrapUtils_1.BootstrapUtils.deleteFolderRecursive(flags.target);
        }
        await new ConfigService_1.ConfigService(Object.assign(Object.assign({}, flags), { root: this.config.root })).run();
        await new ComposeService_1.ComposeService(Object.assign(Object.assign({}, flags), { root: this.config.root })).run();
        await new RunService_1.RunService(Object.assign(Object.assign({}, flags), { root: this.config.root })).run();
    }
}
exports.default = Start;
Start.description = 'Single command that aggregates config, compose and run in one liner! ';
Start.examples = [`$ symbol-bootstrap start`, `$ symbol-bootstrap start -p bootstrap`, `$ symbol-bootstrap start -p testnet -a dual`];
Start.flags = config_1.default.flags;
